%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          generic-jms-ra
Version:       1.0.7
Release:       3%{?dist}
Summary:       Generic JMS JCA Resource Adapter for JBoss AS
License:       LGPLv2+
URL:           https://github.com/jms-ra/generic-jms-ra
Source0:       https://github.com/jms-ra/generic-jms-ra/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)
BuildRequires: mvn(org.jboss:jboss-common-core)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.spec.javax.jms:jboss-jms-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.1_spec)

BuildArch:     noarch

%description
This project is for the Generic JMS JCA Resource Adapter for JBoss AS. As the
name suggests, this JCA RA provides the ability to integrate with any JMS
broker which allows remote clients to look-up connection factories and
destinations via JNDI (as outlined in section 4.2 of the JMS 1.1
specification). It currently is only verified to work in JBoss AS7 and
supports, for example, consuming messages with an MDB and sending messages with
a JCA-base JMS connection factory to 3rd-party brokers. It is based on the
generic JMS JCA RA found in previous versions of JBoss AS (e.g. 4, 5, and 6).
However, unlike those versions this is a stand-alone project now and no longer
supports internal dead-letter processing since every modern JMS broker supports
this already.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module generic-jms-ra-rar

%pom_remove_plugin :maven-deploy-plugin

%pom_change_dep "org.jboss.javaee:jboss-jca-api" "org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec"
%pom_remove_dep "org.jboss.javaee:jboss-jca-api" generic-jms-ra-jar
%pom_add_dep "org.jboss.spec.javax.resource:jboss-connector-api_1.6_spec" generic-jms-ra-jar

%pom_add_dep "org.jboss:jboss-common-core"

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt
 	
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jul 17 2016 gil cattaneo <puntogil@libero.it> 1.0.7-1
- Update to 1.0.7.Final
- introduce license macro
- use BRs mvn()-like
- remove duplicate files
- remove some rpmlint problems

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jul 02 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.5-1
- Upstream release 1.0.5.Final

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.1-2
- Use Requires: java-headless rebuild (#1067528)

* Fri Jan 10 2014 Marek Goldmann <mgoldman@redhat.com> - 1.0.1-1
- Initial packaging

